package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsPriceTimeConfig;
import com.xzzn.ems.domain.vo.EnergyPriceTimeRange;
import org.apache.ibatis.annotations.Param;

/**
 * 电价时间配置Mapper接口
 *
 * @author xzzn
 * @date 2025-10-09
 */
public interface EmsPriceTimeConfigMapper
{
    /**
     * 查询电价时间配置
     *
     * @param id 电价时间配置主键
     * @return 电价时间配置
     */
    public EmsPriceTimeConfig selectEmsPriceTimeConfigById(Long id);

    /**
     * 查询电价时间配置列表
     *
     * @param emsPriceTimeConfig 电价时间配置
     * @return 电价时间配置集合
     */
    public List<EmsPriceTimeConfig> selectEmsPriceTimeConfigList(EmsPriceTimeConfig emsPriceTimeConfig);

    /**
     * 新增电价时间配置
     *
     * @param emsPriceTimeConfig 电价时间配置
     * @return 结果
     */
    public int insertEmsPriceTimeConfig(EmsPriceTimeConfig emsPriceTimeConfig);

    /**
     * 修改电价时间配置
     *
     * @param emsPriceTimeConfig 电价时间配置
     * @return 结果
     */
    public int updateEmsPriceTimeConfig(EmsPriceTimeConfig emsPriceTimeConfig);

    /**
     * 删除电价时间配置
     *
     * @param id 电价时间配置主键
     * @return 结果
     */
    public int deleteEmsPriceTimeConfigById(Long id);

    /**
     * 批量删除电价时间配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsPriceTimeConfigByIds(Long[] ids);

    // 获取年月的电价时间范围
    public List<EnergyPriceTimeRange> getTimeRangeByPriceId(Long priceId);
    // 批量插入
    public int batchInsert(List<EmsPriceTimeConfig> timeConfigs);
    // 删除priceId对应的时间范围配置
    public void deleteTimeRangeByPriceId(Long[] priceIds);
}
